<template>
  <div>
    <div>
<CModal
      title="Info"
      size="sm"
      :show.sync="smallModal">
      {{ SuccessMsg }}

</CModal>


<CCardBody>
    <h5> Location Update</h5>
    <form class="form-inline">
  
   <h6>Barcode</h6>
  <div class="form-group mx-sm-2 mb-2">
    
   <input v-model="searchcode">
   
  </div>  
  
  
   <CButton size="sm" color="dark" class="ml-1" @click="getAllProductionBarcode()"> Search </CButton>
  
</form>
    <!-- <CDataTable
    
      :items="items"
      :fields="fields"
  
    
      hover
      striped
      border
    
     >

    </CDataTable> -->
      
  </CCardBody>

 </div>

<!-- Show Details Modal -->
<div id="overlay" v-if="ShowDetailsModal">
<div class="modal-dialog  modal-lg" >
<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Update Location</h5>
    <button type="button" class="close"  @click="ShowDetailsModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body modal-lg">

<form >

  <div>
        <!-- <CListGroupItem href="#" color="secondary"> -->
    <CRow>
       <CCol sm="2" > Tread Code</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.items.material_Code
        />
      </CCol>
       <CCol sm="1" >Color Code</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.items.size_Code
        />
      </CCol>
    
    </CRow>
           <CRow>
       <CCol sm="2" > Description</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.items.comp_Code
        />
      </CCol>
       <CCol sm="1" >  Date</CCol>
      <CCol sm="3">
        <CInput
         readonly
        v-model   = this.items.prod_Date
        />
      </CCol>
    
    </CRow>
     <CRow>
       
       <CCol sm="2" >LT Truck No</CCol>
      <CCol sm="3">
        <CInput
          readonly
         v-model = this.items.mhename
        />
      </CCol>
    <CCol sm="1" >  Shift</CCol>
      <CCol sm="2">
        <CInput
         readonly
         v-model  = this.items.shift
        />
      </CCol>
    </CRow>
      <CRow>
      
      <CCol sm="2" >  Location</CCol>
     <CCol sm="5"><select class="form-control"  >   
              <option v-for="switem in swlocitems" :value="switem.storage_Loc_Id" :key="switem.storage_Loc_Id">{{ switem.storage_Loc_Name }}</option>
           </select>  </CCol>
     
         <CCol sm="1" >  Time</CCol>
      <CCol sm="3">
        <CInput
         readonly
        v-model   = this.items.prod_Time
        />
      </CCol>
    </CRow>


       <CRow>
      
   
    </CRow>
       <CRow>
       <CCol sm="2" >Treads</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.items.quantity
        />
      </CCol>
      <!-- <CCol sm="2" >  Ageing Period</CCol>
      <CCol sm="3">
        <CInput
         readonly
         v-model   = this.Currentproductiondetails.ageing_Time
        />
      </CCol> -->
 <CCol sm="1" > Age</CCol>
      <CCol sm="5">
        <CInput
          readonly
         v-model= this.items.currentAge
        />
      </CCol>
        <CCol sm="2" > </CCol>
        <CCol sm="2">
        <CInput
         readonly
        v-model   = this.items.ageStatus
        />
      </CCol>
     <CCol sm="1" > </CCol>
      <CCol sm="1">
      
       <CButton size="sm" color="dark" class="ml-1"  @click="UpdateLocation()" >Print</CButton>
        
      </CCol>
     
     </CRow>
      
  </div>

</form>

</div>
</div>
</div>
</div>




</div>
</template>

<script>
const apiurl = 'Trace_Production/'
const apiget =  'Trace_Production/GetTrace_ProductionforUser/'
const apiBarcode  = 'Trace_Production/GetTrace_ProductionBarcode/'
const apiscrap =  'Trace_Scrap_Entry/'
//const apitakentotb = 
const items = [
  { key: 'production_Id',  },
  { key: 'material_Id',  },
  { key: 'prod_Date', }, 
  { key: 'shift_Id',    },
  { key: 'mhE_Id',      },
  { key: 'workCent_Id',     },
   { key: 'quantity',     },
 ]   

//import CTableWrapper from '.@/Table.vue' 
import Vue from 'vue'
import axios from 'axios'
import VUEAxios from 'vue-axios'
Vue.use(VUEAxios,axios)

export default {
   //components: { CTableWrapper },
  data ()
  {
     return {
    items: items.map((item, id) => { return {...item, id}}),
    
     fields: [
       // { key: 'show_details1',  label: '',  _style: 'width:1%', },
            
              { key: 'production_Id' , label: 'Id',},
              { key: 'material_Code', label: 'Tread Code',},
               { key: 'size_Code', label: 'Color Code',},
            //  { key: 'prod_Date', label: 'Time',  },             
              //{ key: 'shift',  label: 'Shift',   },              
              { key: 'mhE_Id',  label: 'Truck/Location', },              
              { key: 'workCent_Id',  label: 'Extruder',  },              
              { key: 'quantity',  label: 'Treads',   },              
                    
              
      ],

  details: [],
  collapseDuration: 0,
  errMsg:"",
  SuccessMsg:"",
  ShowAddModal:"",
  ShowDeleteModal:"",
  Currentproductiondetails:{
  production_Id: 0,
  taketotb: 4
  },
   locSW:"",
  swlocitems:[],
    mhename:"",
   mheitems:"",
  CurrentScrapEntry:{
  scrap_EntryId: 0, updated_By: "", material_Id:0, entry_Time:new Date().toLocaleTimeString() ,  entry_Date: new Date().toISOString().slice(0,10), hold_Id: 0 ,mHEID:0},
  ShowUpdateModal:"",
  ShowDetailsModal:"",
  smallModal: false,
  status:"",
  searchcode:""
   }
  },
  
  
  mounted()
  {
  this.getAllMHEDetails();
 this.getAllStorageLocDetails();
  },

  methods:
  {

   
  addMaterials()
  {
   //  alert(this.$url+ apiget),
    Vue.axios.post(this.$url+ apiget,this.newMaterial).then((response)=>{
       if(response.data.error)
       {
          alert('Data Error')
       }
       else
       {
        this.SuccessMsg ="Records Inserted Successfully.."
        this.getAllMaterialDetails();
       }
    })
   },

 getAllProductionBarcode()
 {
alert(this.$url+ apiBarcode + this.searchcode)
Vue.axios.get(this.$url+ apiBarcode + this.searchcode)
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }


    else if(response.data.length == 0)
    {
  this.SuccessMsg = "No Tread Available for searched Leaf Truck"
  this.smallModal = true;
  }

    else
       {
             
           
       this.items =response.data[0];
      this.ShowDetailsModal = true; 

       }
    });

 },
  SelectMaterial(Material)
    {
     this.Currentproductiondetails = Material;
    
    },

    updateTakenToTb()
    {
     
    this.Currentproductiondetails.taketotb = 4;
    //alert(this.Currentproductiondetails.taketotb)
    //alert(this.$url + apiurl + this.Currentproductiondetails.production_Id )
    Vue.axios.put(this.$url + apiurl + this.Currentproductiondetails.production_Id , this.Currentproductiondetails).then((response)=>{
    //alert(this.Currentproductiondetails.taketotb)
       if(response.data.error)
       {
          alert('Data Error')
       }
       else if(response.data == "1")
       {
         
      this.SuccessMsg = "Already Updated",
      this.smallModal = true;

       }
       else
       {
         this.SuccessMsg ="Records Updated To Taken To TB.."
         this.smallModal = true;
         this.ShowDetailsModal = false;
        }
    })

    },

  UpdateToScrap()
  {
 //alert(this.Currentproductiondetails.barcode_Id)
  this.CurrentScrapEntry.updated_By= "";
  this.CurrentScrapEntry.entry_Time= new Date().toLocaleTimeString() ,
  this.CurrentScrapEntry.entry_Date= new Date().toISOString().slice(0,10),
  this.CurrentScrapEntry.barcode_Id=this.Currentproductiondetails.barcode_Id;
  this.CurrentScrapEntry.mHEID = this.Currentproductiondetails.mhE_Id;
  //alert(this.Currentproductiondetails.mhE_Id);
  Vue.axios.post(this.$url + apiscrap,this.CurrentScrapEntry).then((response)=>{
      if(response.data.error)
       {
          alert('Data Error')
       }

      else if(response.data == "1")
      {
         
      this.SuccessMsg = "Entry already done",
      this.smallModal = true;

      }
      else
      {
        this.SuccessMsg ="Records Updated Successfully.."
        this.smallModal = true;
        this.ShowUpdateModal = false;
         
      }
    })
   },
 getAllStorageLocDetails: function()
   {

   Vue.axios.get(this.$url+ apigetsw )
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        // alert(this.searchdata.dualid)
        this.swlocitems = response.data.filter(x => x.storage_Loc_Status == 1 );
      // console.log(response.data)
       // this.subitems = response.data.fgS_FIFO_StorageLoc_Type_Master;

       }
    });
   },

  getAllMHEDetails: function()
   {

   Vue.axios.get(this.$url+ 'Trace_MHE_Master/')
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.mheitems =response.data.filter(x => x.mhE_Status == 0 && x.status == 1)// && x.mhE_Type == "SW");
      

       }
    });
   },
    
    },
  
    

}
</script>

<style scoped>
#overlay{
  position:fixed;
  top:100px;
  bottom:0;
  left:0;
  right:0;
  background:rgba(0,0,0,0.6);
}
</style>